Skip site navigation (1)Skip section navigation (2)
Date:      Mon, 15 Sep 2014 18:23:21 +0000 (UTC)
From:      Tijl Coosemans <tijl@FreeBSD.org>
To:        ports-committers@freebsd.org, svn-ports-all@freebsd.org, svn-ports-head@freebsd.org
Subject:   svn commit: r368281 - in head/Mk: Scripts Uses
Message-ID:  <201409151823.s8FINLBX032857@svn.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: tijl
Date: Mon Sep 15 18:23:21 2014
New Revision: 368281
URL: http://svnweb.freebsd.org/changeset/ports/368281
QAT: https://qat.redports.org/buildarchive/r368281/

Log:
  Turn the installation of *.la files, without some form of USES=libtool in
  the port Makefile, into a stage-qa error.  All ports that would trigger
  this error have been converted.  Many thanks to all people involved in
  this, especially Dmitry Marakasov (amdmi3) who handled most ports.
  
  At this moment over 2200 ports have USES=libtool and over 20000 library
  dependencies between packages have been removed.
  
  This also marks the point where :keepla is no longer special.  It is now
  only needed if a port uses *.la files at run-time.
  
  QA-run by:	antoine
  Approved by:	portmgr (antoine)

Modified:
  head/Mk/Scripts/qa.sh
  head/Mk/Uses/libtool.mk

Modified: head/Mk/Scripts/qa.sh
==============================================================================
--- head/Mk/Scripts/qa.sh	Mon Sep 15 18:13:44 2014	(r368280)
+++ head/Mk/Scripts/qa.sh	Mon Sep 15 18:23:21 2014	(r368281)
@@ -196,10 +196,10 @@ suidfiles() {
 
 libtool() {
 	if [ -z "${USESLIBTOOL}" ]; then
-		find ${STAGEDIR} -type f -name '*.la' | while read f; do
+		find ${STAGEDIR} -name '*.la' | while read f; do
 			grep -q 'libtool library' "${f}" &&
-				warn ".la libraries found, port needs USES=libtool" &&
-				return 0 || true
+				err ".la libraries found, port needs USES=libtool" &&
+				return 1 || true
 		done
 		# The return above continues here.
 	fi

Modified: head/Mk/Uses/libtool.mk
==============================================================================
--- head/Mk/Uses/libtool.mk	Mon Sep 15 18:13:44 2014	(r368280)
+++ head/Mk/Uses/libtool.mk	Mon Sep 15 18:23:21 2014	(r368281)
@@ -4,12 +4,9 @@
 #
 # Feature:	libtool
 # Usage:	USES=libtool or USES=libtool:args
-# Valid args:	keepla	Normally libtool libraries (*.la) are not installed.
-#			With this option they are.  This is needed as long
-#			as there are dependent ports with .la libraries that
-#			refer to .la libraries in this port.  As soon as all
-#			those dependent ports have some form of USES=libtool
-#			keepla can be removed.
+# Valid args:	keepla	Don't remove libtool libraries (*.la) from the stage
+#			directory.  Some ports need them at runtime (e.g. ports
+#			that call lt_dlopen from libltdl).
 #		build	Add a build dependency on devel/libtool.  This can
 #			be used when a port does not generate its own libtool
 #			script and relies on the system to provide one.



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201409151823.s8FINLBX032857>